# DataExchange
TKSTL
StlMesh

# StlMesh Class Reference

Implements a basic mesh data-structure for the
needs of the application fast prototyping.
.

`#include <StlMesh.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_StlMesh_Mesh | Merge (const Handle(StlMesh_Mesh)&mesh1, const Handle(StlMesh_Mesh)&mesh2)
| Make a merge of two Mesh and returns a new Mesh. Very useful if you want to merge partMesh and CheckSurfaceMesh for example .

## Member Function Documentation

static Standard_EXPORT Handle_StlMesh_Mesh StlMesh::Merge | ( | const Handle(StlMesh_Mesh)& | mesh1,
|  | const Handle(StlMesh_Mesh)& | mesh2
| ) | `[static]`

void StlMesh::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StlMesh::operator new | ( | size_t | size | ) | `[inline]`

void* StlMesh::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- StlMesh.hxx